Bug 239022 - security/sssd fails to start as daemon. Starts in interactive mode
Summary: security/sssd fails to start as daemon. Starts in interactive mode
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Ganael LAPLANCHE
URL:
Keywords: needs-qa
Depends on:
Blocks: 240708
  Show dependency treegraph
 
Reported: 2019-07-06 18:04 UTC by Patrik Hildingsson
Modified: 2020-08-19 09:22 UTC (History)
9 users (show)

See Also:
lukas.slebodnik: maintainer-feedback-


Attachments
patch against sssd 1.11.7 (1.01 KB, patch)
2019-07-14 22:27 UTC, Patrik Hildingsson
no flags Details | Diff
Patch against 1.11.7_20 (1.69 KB, patch)
2020-07-15 09:11 UTC, Ganael LAPLANCHE
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrik Hildingsson 2019-07-06 18:04:37 UTC
Since I updated from sssd-1.11.7_18 to sssd-1.11.7_19 I can't no longer start it as daemon. It starts fine in interactive mode.
sssd1.11.7_19 is built with databases/ldb14-1.4.4_1

The issue (with patch) is described at https://pagure.io/SSSD/sssd/c/a887e33fbd02bc9ef987fc1bd2a487a04aff9980
Comment 1 Patrik Hildingsson 2019-07-06 18:05:51 UTC
Logentry added from failing sssd-1.11.7_19
(Sat Jul  6 19:36:45 2019) [sssd] [ldb] (0x0010): Failed to unlock db: ../ldb_tdb/ldb_tdb.c:147: Reusing ldb opend by pid 51845 in process 56814
 / Protocol error
Comment 2 Maciej Suszko 2019-07-12 08:49:36 UTC
I confirm - patching src/monitor/monitor.c with the diff Patrick mentioned makes sssd starting again.
Comment 3 Patrik Hildingsson 2019-07-14 22:27:09 UTC
Created attachment 205782 [details]
patch against sssd 1.11.7
Comment 4 Karli Sjöberg 2019-09-12 12:29:46 UTC
Just wanted to say thank you for the patch to sssd!

It has made it possible for me to also get samba upgraded from 4.6 to 4.10 at same time.

All good! Thanks again!

/K
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-20 13:45:43 UTC
Assignee timeout: 2 months (reset assignee)
Comment 6 Rick 2019-09-30 12:58:05 UTC
+1 to say this patch resolves the error. Like comment #4, this enables Samba upgrade from 4.[678] to 4.10.
Comment 7 lukas.slebodnik 2019-10-19 22:07:29 UTC
Patch is already in upstream 1.16.4

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=241347
Comment 8 Ganael LAPLANCHE freebsd_committer 2020-07-15 09:10:37 UTC
Hi,

That patch worked for us too.

As version 1.16.4 does not seem to be ready, is it possible to include it in the current port (1.11.7_20) to, at least, un-break it and leave it in a good shape before it expires ?

I've re-attached the patch against 1.11.7_20 to create version 1.11.7_21. 

Thanks,

Ganael.
Comment 9 Ganael LAPLANCHE freebsd_committer 2020-07-15 09:11:41 UTC
Created attachment 216459 [details]
Patch against 1.11.7_20
Comment 10 commit-hook freebsd_committer 2020-08-19 07:41:52 UTC
A commit references this bug:

Author: martymac
Date: Wed Aug 19 07:40:59 UTC 2020
New revision: 545276
URL: https://svnweb.freebsd.org/changeset/ports/545276

Log:
  Fix sssd startup following libldb changes

  PR:		239022
  Submitted by:	patrik@hildingsson.se
  Approved by:	lukas.slebodnik@intrak.sk (maintainer timeout)
  MFH:	2020Q3

Changes:
  head/security/sssd/Makefile
  head/security/sssd/files/patch-src-monitor-monitor.c
Comment 11 Ganael LAPLANCHE freebsd_committer 2020-08-19 07:42:51 UTC
Hello Patrik,

Patch committed, thanks!
Comment 12 commit-hook freebsd_committer 2020-08-19 09:21:23 UTC
A commit references this bug:

Author: martymac
Date: Wed Aug 19 09:21:09 UTC 2020
New revision: 545293
URL: https://svnweb.freebsd.org/changeset/ports/545293

Log:
  MFH: r545276

  Fix sssd startup following libldb changes

  PR:		239022
  Submitted by:	patrik@hildingsson.se
  Approved by:	lukas.slebodnik@intrak.sk (maintainer timeout)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/security/sssd/Makefile
  branches/2020Q3/security/sssd/files/patch-src-monitor-monitor.c
Comment 13 Patrik Hildingsson 2020-08-19 09:22:40 UTC
That's great news!
Thank you for testing and accepting the patch.